# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.drivers.biorad_spec import Biorad
from driverng.drivers.biorad_spec import BioradResult
from driverng.drivers.biorad_spec import Driver as DriverBiorad


class MultiQC(Biorad):
    def add(self, **kwargs):
        obj = BioradResult(**kwargs)
        self.append(obj)
        return obj

    def parse(self, data):
        for line in data.splitlines():
            if not line:
                continue
            self.append(BioradResult().parse(line))
        return self

    def to_string(self):
        return "\r\n".join([e.to_string() for e in self])


class Driver(DriverBiorad):
    SPEC = {"code": "multi_qc", "label": "Multi QC"}

    def create(self):
        return MultiQC()

    def parse(self, data):
        return MultiQC().parse(data)
