# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "sorting_drive_file1"


def test_encode_order(self):
    expected = """123456;123456;1;1;F;;NYME-ANO;A|
    123456;123456;1;2;F;;NYME-ANO;C|
    """
    message = self.order()
    assert message == expected


def test_decode_result(self):
    worklist = self.decode(
        """
    192.168.1.1;6322486;1234560;1;1;2;N/A;320;07;01;15.12.09 4:38:54 PM;
    192.168.1.1;6322487;1112223;2;4;2;99064919;112;07;20151203_123854;
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "rack": "320",
                "results": [
                    {
                        "code": "TRACKING",
                        "comments": [],
                        "date": datetime.datetime(2015, 12, 9, 16, 38, 54),
                        "value": "320",
                        "preanalytique": True,
                    }
                ],
                "sample_id": "6322486",
                "type": "patient",
            },
            {
                "rack": "112",
                "sample_id": "6322487",
                "results": [
                    {
                        "code": "TRACKINGT",
                        "value": "112",
                        "date": datetime.datetime(2015, 12, 3, 12, 38, 54),
                        "comments": ["Volume: 2", "Cap color: 2"],
                    }
                ],
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
